#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "ETimedEffectMeterState.h"
#include "TimedEffectMeterViewInterface.generated.h"

UINTERFACE(Blueprintable)
class DBDUIVIEWINTERFACES_API UTimedEffectMeterViewInterface : public UInterface
{
	GENERATED_BODY()
};

class DBDUIVIEWINTERFACES_API ITimedEffectMeterViewInterface : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetState(const ETimedEffectMeterState newState, bool force);

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetProgress(const float progress);

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void Reset();

};
